/*
Theme Name: WT2025
Theme URI: 
Author: Andy Dickinson
Author URI: 
Description: Theme Styling
Requires at least: 6.7
Tested up to: 6.7
Requires PHP: 5.7
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: wt2025
Tags: 


/* RESET */

/* Set smooth scroll */
Set scroll 
html {
	scroll-behavior: smooth;
}

/*
*,
*:before,
*:after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}
*/

/* Stop text size increase on iphone when device rotated */
:root {
  /* box-sizing: border-box; */
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
 /* 
  position: relative;
  font-family: system-ui, "Apple Color Emoji", "Segoe UI Emoji",
    "Segoe UI Symbol", "Noto Color Emoji";
  min-height: 100%;
  */
}
/*
body {
  position: relative;
  min-height: 100vh;
  font-size: 100%;
  line-height: 1.5;
}

input,
textarea,
button {
  font-size: inherit;
  font-family: inherit;
}
*/


/* Set footer intrinsic size to avoid footer not displaying on mobile devices */
footer.wp-block-template-part {
    content-visibility: auto;
    contain-intrinsic-height: 700px;
}

/* Fixes for Core Weirdness whereby auto padding is applied that can drive you a litle bit nuts - better to add your own when and where you need it! */
.has-global-padding>.alignfull:where(:not(.has-global-padding):not(.is-layout-flex):not(.is-layout-grid))> :where([class*="wp-block-"]:not(.alignfull):not([class*="__"]), p, h1, h2, h3, h4, h5, h6, ul, ol) {
	padding-right: 0 !important;
	padding-left: 0 !important;
}
:where(.wp-site-blocks :focus) {
    outline-width: 0px !important;
}

/*  Stop core margin top on groups and others */
.wp-block-template-part,
.wp-block-group,
.wp-block-columns,
.wp-block-cover {
	margin-block-start: 0;
}

/* Add break Word to content so urls fit inside screen */
.entry-content{
	word-wrap: break-word;
}

/* set block spacing for page headers */
.wt-group-heading {
	margin-top: var(--wp--preset--spacing--medium) !important;
	margin-bottom: 10px !important;
	border-bottom-color: var(--wp--preset--color--primary);
	border-bottom-width: 1px;
	padding-right: 0;
	padding-left: 0;
	padding-bottom: 0px !important;
}

/* Header size for scroll off-sets just an initial value */
/*
:root {
	--wt--header--height: 44px;
	--wt--header-height--desktop: 80px;
	--wt--header-height--mobile:  44px;
	--wt--account--header: 44px;
}
*/

/* Header and Body */
.wt-header {
	padding: 0px;
	z-index: 99 !important;
}
.wt-body {
	position: relative;
	z-index: 1 !important;
	/*
	padding-left: var(--wp--preset--spacing--xx-small);
	padding-right: var(--wp--preset--spacing--xx-small);
	*/
}

/* MENU FORMATTING */
.home .wp-block-navigation-item.current-menu-item.home.wp-block-navigation-link,
	  .wp-block-navigation-item.has-child.open-on-hover-click.current-menu-item,
	  .wp-block-navigation-item.current-menu-item.wp-block-navigation-link
{
	text-decoration: underline;
	background-color: #f6f6f6;
	color: var(--wp--preset--color--primary);
	padding: 5px;
}
.wp-block-navigation-item__content.current-menu-ancestor {
	text-decoration: underline;
}
.wp-block-navigation-item__content {
    padding: 0px !important;
}
.wp-block-navigation__submenu-container {
	width: max-content !important;
	position: absolute;
}
.wp-block-navigation-item {
	margin: 0px !important;
}
.wp-block-navigation ul li {
    padding: 5px;
}
.wp-block-navigation ul li:hover {
    background-color: var(--wp--preset--color--primary);
    color: white;
    padding: 5px;
	max-height: max-content;
	z-index: 99;
	transition-property: all;
	transition-duration: 0.5s;
}
.wt-menu--mobile {
    row-gap: 5px !important;
}
.wt-menu--mobile li a {
	padding-left: 10px !important;
}


/*
:where(.wp-block-navigation .wp-block-navigation__submenu-container .wp-block-navigation-item a:not(.wp-element-button)), :where(.wp-block-navigation .wp-block-navigation__submenu-container .wp-block-navigation-submenu a:not(.wp-element-button)), :where(.wp-block-navigation .wp-block-navigation__submenu-container .wp-block-navigation-submenu button.wp-block-navigation-item__content), :where(.wp-block-navigation .wp-block-navigation__submenu-container .wp-block-pages-list__item button.wp-block-navigation-item__content) {
    padding: 5px 5px;
}
*/


/* 
* Format Buttons 
*/
.wp-block-button__link {
	padding-top: 10px;
	padding-right: 20px;
	padding-bottom: 10px;
	padding-left: 20px;
	text-decoration: none;
}
.is-style-fill >a.wp-block-button__link.wp-element-button {
	background-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--background);
}
.is-style-fill >a.wp-block-button__link.wp-element-button:hover {
	background-color: var(--wp--preset--color--background);
	color: var(--wp--preset--color--primary);
}
.is-style-outline >a.wp-block-button__link.wp-element-button {
	background-color: var(--wp--preset--color--background);
	color: var(--wp--preset--color--primary);
}
.is-style-outline >a.wp-block-button__link.wp-element-button:hover {
	background-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--background);
}
.wt-button-100p {
	width:100% !important;
}


/* 
* Header and Full screen height 
*/
/* Mobile */
@media only screen and (max-width: 767px) {
	.wt-menu--desktop {
		display: none !important;
	}
}
/* Tablet */
@media only screen and (min-width: 768px) and (max-width: 1024px) {
	.wt-menu--desktop {
		display: none !important;
	}
}
/* Desktop */
@media only screen and (min-width: 1025px) {
	.wt-menu--mobile {
		display: none !important;
	}
}

/*
* Header Height
* Height is calculated using JS
*/
.wt-header {
	/*height: var(--wt--header-height);*/
	padding-bottom: 5px !important;
}
/*
.wt-page-height {
	min-height: calc( 100vh - var(--wt--header-height) );
}
.logged-in .wt-page-height {
	min-height: calc( 100vh - var(--wt--header-height) );
}
.admin-bar .wt-page-height {
	min-height: calc( 100vh - var(--wt--header-height) - var(--wp-admin--admin-bar--height) );
}
*/

.wt-page-height {
	min-height: calc( 100vh - var(--wt--header--height) );
}
.wt-page-height .logged-in {
	min-height: calc( 100vh - var(--wt--header--height) - var(--wt--account--header) );
}
.wt-page-height .logged-in .admin-bar {
	min-height: calc( 100vh - var(--wt--header--height) - var(--wt--account--header) - var(--wp-admin--admin-bar--height) );
}
.wt-page-height .admin-bar {
	min-height: calc( 100vh - var(--wt--header--height) - var(--wp-admin--admin-bar--height) );
}

/* Set scroll height for headers */
h1, h2, h3, h4, h5, h6 {
	scroll-margin-top: var(--wt--header--height) !important;
}